Внедрение произвольных LDAP запросов в TYPO3 eu_ldap Extension

Дата публикации:
15.11.2011
Дата изменения:
15.11.2011
Всего просмотров:
1784
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LDAP (eu_ldap) 2.x Extension for TYPO3
Уязвимые версии:phpMyAdmin (phpmyadmin) Extension for TYPO3 4.x

Описание:
Уязвимость позволяет удаленному пользователю выполнить неавторизованное изменение данных.

Уязвимость существует из-за недостаточной обработки входных данных в формах ввода логина и пароля перед использованием в LDAP запросах. Удаленный пользователь может путем внедрения запросов LDAP запроса выполнить подмену кода.

URL производителя: http://typo3.org/extensions/repository/view/eu_ldap/current/

Решение: Установите версию 2.8.11 с сайта производителя.

Ссылки: http://typo3.org/teams/security/security-bulletins/typo3-extensions/typo3-ext-sa-2011-017/

или введите имя

CAPTCHA